## jetty8 8.1.3

=== debian/changelog ===
jetty8 (8.1.3-9) unstable; urgency=low

  [ Emmanuel Bourg ]
  * Team upload.
  * Use the Tomcat 7 jars from /usr/share/tomcat7/lib
  * Updated Standards-Version to 3.9.5 (no changes)
  * debian/copyright: Updated the Format URI

  [ Ludovico Cavedon ]
  * Added jars in libjetty8-java for: jetty-jaspi, jetty-jsp, jetty-nested,
    jetty-websocket (Closes: #724973).

 -- Ludovico Cavedon <cavedon@debian.org>  Thu, 05 Dec 2013 22:20:15 -0800

jetty8 (8.1.3-8) unstable; urgency=low

  * Don't build jetty-spdy module with Java 7 (Closes: #717119).
  * Updated d/watch.

 -- Jakub Adam <jakub.adam@ktknet.cz>  Fri, 26 Jul 2013 19:45:24 +0200

jetty8 (8.1.3-7) unstable; urgency=low

  * Removed dependencies on libgnujaf-java.
  * Build-Depends on libservlet3.0-java (>= 7.0.40-2).
    - Previous versions had a problem with maven-repo deployment.

 -- Jakub Adam <jakub.adam@ktknet.cz>  Thu, 16 May 2013 16:34:13 +0200

jetty8 (8.1.3-6) unstable; urgency=low

  [ Emmanuel Bourg ]
  * Team upload.
  * Fixed the watch file
 
  [ tony mancill ]
  * Upload to unstable for the jessie release cycle.

 -- tony mancill <tmancill@debian.org>  Mon, 06 May 2013 07:19:07 -0700

jetty8 (8.1.3-5) experimental; urgency=low

  * Add test-jetty-servlet jar into libjetty8-extra-java.
  * Bump Standards-Version to 3.9.4.

 -- Jakub Adam <jakub.adam@ktknet.cz>  Fri, 05 Apr 2013 09:38:08 +0200

jetty8 (8.1.3-4) unstable; urgency=low

  * Team upload
  * Switch to use of javax.* and standard jar names for Servlet, JSP and
    EL API's (Closes: #678766):
    - d/maven.rules: Fix mapping to javax.* artifacts as published by the 
      latest version of the tomcat7 package. 
    - d/{libjetty8-java,libjetty8-extra-java}.links: Switch use from
      deprecated tomcat-* jar files for Servlet, JSP and EL API's.
    - d/control: Bump minimum version of libtomcat7-java to ensure that
      the correct API jars/artifacts are provided.

 -- James Page <james.page@ubuntu.com>  Mon, 25 Jun 2012 16:02:46 +0200

jetty8 (8.1.3-3) unstable; urgency=low

  * Team upload.
  * Allow co-installation of libjetty-java-doc with libjetty8-java-doc.
    (Closes: #674204).

 -- Miguel Landaeta <miguel@miguel.cc>  Tue, 29 May 2012 21:45:21 +0200

jetty8 (8.1.3-2) unstable; urgency=low

  * Fix server startup when jsvc is not installed.
  * Fix a typo in binary package dependencies (jstl1.1-java to
    libjstl1.1-java)

 -- Jakub Adam <jakub.adam@ktknet.cz>  Wed, 23 May 2012 07:49:07 +0200

jetty8 (8.1.3-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.9.3.

 -- Jakub Adam <jakub.adam@ktknet.cz>  Sun, 13 May 2012 14:54:06 +0200

jetty (6.1.24-6) unstable; urgency=medium

  * Removed Depends on JREs for library packages, no longer required
    by the policy.
  * Added missing depends on JREs for the jetty package.
  * Made init script ignore weird exit statuses from logrotate.
    (Closes: 589681, LP: #607202)
  * Fixed broken restart command in jetty init script. Was missing a
    negation.

 -- Niels Thykier <niels@thykier.net>  Mon, 05 Jul 2010 22:28:14 +0200

jetty (6.1.24-5) unstable; urgency=low

  * Ignore test failures. (Closes: #586635)
  * Remove debian/.mh in clean target.

 -- Torsten Werner <twerner@debian.org>  Tue, 29 Jun 2010 20:53:42 +0200

jetty (6.1.24-4) unstable; urgency=low

  * Updated the versions in the Manifests to match the actual version
    of jetty.
  * Remove all use of sudo in jetty.init. (Closes: #580639)
  * Fixed some formatting issues in the NEWS file.
  * Bumped debhelper compat to 7.
  * Made the javadoc link against system javadocs. This includes adding
    Recommends on various java-doc packages.

 -- Niels Thykier <niels@thykier.net>  Sun, 20 Jun 2010 14:49:32 +0200

jetty (6.1.24-3) unstable; urgency=low

  [ Torsten Werner ]
  * Merge changes from Ubuntu version 6.1.22-1ubuntu1:
    - debian/build.xml, debian/module.xml: Enable tests in the jetty module
    - debian/rules: Adding slf4j-simple to the DEB_JARS since it's used in
      tests
    - debian/rules, debian/control: Added junit and ant-optional needed for
      tests

  [ Miguel Landaeta ]
  * Enable jetty-plus and jetty-annotations modules. (Closes: #585387).

 -- Torsten Werner <twerner@debian.org>  Thu, 10 Jun 2010 14:07:51 -0430

jetty (6.1.24-2) unstable; urgency=low

  * Set JAVA_HOME in d/rules to /usr/lib/jvm/default-java. (Closes: #578618,
    #579469)
  * Fix the installation of jetty-util5.jar. (Closes: #569328)

 -- Torsten Werner <twerner@debian.org>  Thu, 29 Apr 2010 07:36:43 +0200

jetty (6.1.24-1) unstable; urgency=low

  [ Niels Thykier ]
  * Reduced Depends on libjetty-java-doc to a Suggests. (Closes: #569293)
  * Clarified what JETTY_HOST should be set to in order to accept all
    connections. (Closes: #554874)
  * Bumped Standards-Version to 3.8.4 - no changes required.

  [ Torsten Werner ]
  * New upstream release.
  * Change Build-Depends: default-jdk. (Closes: #578618)
  * Switch to source format 3.0.

 -- Torsten Werner <twerner@debian.org>  Fri, 23 Apr 2010 23:55:35 +0200

jetty (6.1.22-1ubuntu1) lucid; urgency=low

  * debian/build.xml, debian/module.xml: Enable tests in the jetty module
  * debian/rules: Adding slf4j-simple to the DEB_JARS since it's used in tests
  * debian/rules, debian/control: Added junit and ant-optional needed for tests
  * debian/control, debian/rules: Build with default-jdk.

 -- Thierry Carrez <thierry.carrez@ubuntu.com>  Tue, 26 Jan 2010 09:52:06 +0100

jetty (6.1.22-1) unstable; urgency=medium

  * New upstream release. (Closes: #553644)
  * Added OSGi bundle metadata (by upstream). (Closes: #558187)
  * Corrected path to jetty web-apps (by Niels Thykier). (Closes: #554877)

 -- Pablo Duboue <pablo.duboue@gmail.com>  Sun, 13 Dec 2009 1:55:00 -0400
  

jetty (6.1.21-1) unstable; urgency=medium

  * New upstream release.
  * Stopped using /tmp/jetty-temp in /etc/init.d/jetty for security
    reasons.
    - JVM_TMP is now /var/cache/jetty/tmp

