=== debian/watch ===
version=3
http://download.eclipse.org/jetty/stable-8/dist/ .*/jetty-distribution-(\d.*)\.(?:tgz|tar\.(?:gz|bz2|xz)).*
