## jetty8 8.1.16

=== debian/changelog ===
jetty8 (8.1.16-4~bpo70+1) wheezy-backports; urgency=low

  * Rebuild for wheezy-backports.
    - Depend on libgnumail-java instead of libmail-java

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 15 Dec 2014 14:25:07 +0100

jetty8 (8.1.16-4) unstable; urgency=medium

  * Fixed an error on purging jetty8 when authbind is not installed
    (Closes: #767337)
  * Added the missing link to tomcat-util.jar in /usr/share/jetty8/lib/jsp/
    (Closes: #740596)
  * Enable IPv6 by default (Closes: #767369)

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 31 Oct 2014 18:54:25 +0100

jetty8 (8.1.16-3) unstable; urgency=medium

  * Configure Jetty to write the jetty.state file in the /var/lib/jetty8
    directory (Closes: #764454)
  * Standards-Version updated to 3.9.6 (no changes)

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 08 Oct 2014 12:37:56 +0200

jetty8 (8.1.16-2) unstable; urgency=medium

  * Fixed an integration issue with the JSP compiler from Tomcat 7 causing an
    AccessControlException when requesting a JSP.

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 06 Oct 2014 14:33:54 +0200

jetty8 (8.1.16-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
    - Ignore the Maven dependency on the Mycila maven-license-plugin
  * Added authbind support to run Jetty on privileged ports
  * Updated the init.d script to detect the recent JDKs and ignore the old ones
    (Closes: #756310)
  * Fixed the version of the Servlet API in the poms (3.0 instead of 'debian')
  * debian/control:
    - Removed java5-runtime-headless from the acceptable runtime dependencies
      (Jetty 8 requires Java 6)
    - Use distinct descriptions for the jetty8 and libjetty8-java packages
    - jetty8 now depends on libjetty8-extra-java
    - libjetty8-java-doc depends on libservlet3.0-java-doc instead of
      libservlet2.5-java-doc
    - libjetty8-java-doc suggests libjetty8-java instead of libjetty-java
    - Depend on libmail-java instead of libgnumail-java
    - Updated the Homepage field
  * debian/rules: Install the upstream changelog
  * debian/watch: Watch the tags from the Git repository
  * debian/jetty8.init: Added the missing JETTY_CONF variable
  * debian/jetty8.init: Paths relative to JETTY_HOME are now recognized
    in /etc/jetty8/jetty.conf
  * Install the missing Jasper dependencies in /usr/share/jetty8/lib/jsp
  * Reuse and patch the configuration files from the upstream distribution
    instead of installing Debian specific files (Closes: #728380)
  * debian/copyright: Updated the missing file paths reported by Lintian
  * Switch to debhelper level 9

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 11 Sep 2014 19:55:16 +0200
