=== debian/control ===
Source: jetty8
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Jakub Adam <jakub.adam@ktknet.cz>, Emmanuel Bourg <ebourg@apache.org>
Build-Depends: ant-optional,
               cdbs (>> 0.4.5.3),
               debhelper (>= 9),
               default-jdk,
               default-jdk-doc,
               glassfish-jmac-api (>= 1:2.1.1-b31g-2),
               javahelper,
               junit,
               libbuild-helper-maven-plugin-java,
               libgeronimo-jta-1.1-spec-java,
               libgnumail-java,
               libjstl1.1-java,
               libmaven-bundle-plugin-java,
               libmaven-javadoc-plugin-java,
               libmockito-java,
               libservlet3.0-java (>= 7.0.40-2),
               libtomcat7-java (>= 7.0.56-1~),
               maven-debian-helper,
               maven-repo-helper
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/pkg-java/jetty8.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-java/jetty8.git
Homepage: http://www.eclipse.org/jetty/

Package: libjetty8-java
Architecture: all
Depends: ${misc:Depends}, libservlet3.0-java
Suggests: jetty8, libjetty8-java-doc
Description: Java servlet engine and webserver -- core libraries
 Jetty is an Open Source HTTP Servlet Server written in 100% Java.
 It is designed to be light weight, high performance, embeddable,
 extensible and flexible, thus making it an ideal platform for serving
 dynamic HTTP requests from any Java application.
 .
 This package contains the core libraries

Package: libjetty8-java-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Recommends: default-jdk-doc, libgnumail-java-doc, libservlet3.0-java-doc
Suggests: libjetty8-java
Description: Javadoc for the Jetty API
 Jetty is an Open Source HTTP Servlet Server written in 100% Java.
 It is designed to be light weight, high performance, embeddable,
 extensible and flexible, thus making it an ideal platform for serving
 dynamic HTTP requests from any Java application.
 .
 This package contains the Javadoc for libjetty8-java.

Package: libjetty8-extra-java
Architecture: all
Depends: libasm3-java,
         libgnumail-java,
         libjakarta-taglibs-standard-java,
         libjetty8-java (>= ${source:Version}),
         libjstl1.1-java,
         libservlet3.0-java,
         libtomcat7-java (>= 7.0.56-1~),
         ${misc:Depends}
Suggests: jetty8
Description: Java servlet engine and webserver -- extra libraries
 Jetty is an Open Source HTTP Servlet Server written in 100% Java.
 It is designed to be light weight, high performance, embeddable,
 extensible and flexible, thus making it an ideal platform for serving
 dynamic HTTP requests from any Java application.
 The extra libraries include jetty-management, jetty-naming,
 jetty-servlet-tester, jetty-ajp, jetty-java5-threadpool,
 jetty-client, jetty-rewrite-handler, jetty-plus, jetty-annotations

Package: jetty8
Architecture: all
Depends: adduser,
         apache2-utils,
         default-jre-headless | java6-runtime-headless,
         libjetty8-java (>= ${source:Version}),
         libjetty8-extra-java (>= ${source:Version}),
         ${misc:Depends}
Recommends: authbind
Suggests: libjetty8-java-doc (>= ${source:Version})
Description: Java servlet engine and webserver
 Jetty is an Open Source HTTP Servlet Server written in 100% Java.
 It is designed to be light weight, high performance, embeddable,
 extensible and flexible, thus making it an ideal platform for serving
 dynamic HTTP requests from any Java application.
