=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,7 @@
 DEB_MAVEN_INSTALL_DOC_TARGET :=
 DEB_MAVEN_DOC_TARGET := javadoc:aggregate
 DEB_MAVEN_ARGS := -P-aggregates -P-osgi
+DEB_INSTALL_CHANGELOGS_ALL := VERSION.txt
 
 LIBJETTY_JARS := continuation deploy http io jaspi jmx jsp nested \
   overlay-deployer policy rewrite security server servlet servlets start util \
@@ -21,9 +22,9 @@
 # Some java sources contain UTF-8 characters, build fails with C locale
 export LC_ALL=C.UTF-8
 
-install/libjetty8-java:: libjetty8-java-mh-install
-	version=$(wildcard debian/libjetty8-java/usr/share/maven-repo/org/eclipse/jetty/jetty-server/8*); \
-	version=$$(basename $$version); \
+install/libjetty8-java::
+	mh_installpoms -plibjetty8-java
+	version=$(shell grep 'debian.originalVersion' pom.xml | head -1 | sed -e 's/.*<debian.originalVersion>\(.*\)<\/debian.originalVersion>.*/\1/'); \
 	for lib in $(LIBJETTY_JARS); do \
 		mh_installjar -plibjetty8-java --java-lib --usj-name=jetty8-$$lib \
 		    jetty-$$lib/pom.xml jetty-$$lib/target/jetty-$$lib-*.jar; \
@@ -36,9 +37,9 @@
 	done; \
 	dh_link -plibjetty8-java usr/share/java/jetty8-start-$$version.jar usr/share/jetty8/start.jar
 
-install/libjetty8-extra-java:: libjetty8-extra-java-mh-install
-	version=$(wildcard debian/libjetty8-extra-java/usr/share/maven-repo/org/eclipse/jetty/jetty-ajp/8*); \
-	version=$$(basename $$version); \
+install/libjetty8-extra-java::
+	mh_installpoms -plibjetty8-extra-java
+	version=$(shell grep 'debian.originalVersion' pom.xml | head -1 | sed -e 's/.*<debian.originalVersion>\(.*\)<\/debian.originalVersion>.*/\1/'); \
 	for lib in $(LIBJETTY_EXTRA_JARS); do \
 		mh_installjar -plibjetty8-extra-java --java-lib --usj-name=jetty8-$$lib \
 		    jetty-$$lib/pom.xml jetty-$$lib/target/jetty-$$lib-*.jar; \
@@ -59,7 +60,3 @@
 install/libjetty8-java-doc::
 	mv target/site/apidocs target/site/api
 	dh_install -p libjetty8-java-doc
-
-%-mh-install:
-	mh_install -p$(patsubst %-mh-install,%,$@)
-
