## jetty8 8.1.17

=== debian/changelog ===
jetty8 (8.1.17-2) unstable; urgency=medium

  * Added the missing build dependency on libjetty-java (Closes: #796441)

 -- Emmanuel Bourg <ebourg@apache.org>  Sun, 23 Aug 2015 23:14:06 +0200

jetty8 (8.1.17-1) unstable; urgency=medium

  * New upstream release
    - Refreshed the patches

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 11 May 2015 12:43:18 +0200
