=== debian/control ===
--- 
+++ 
@@ -13,7 +13,8 @@
                junit,
                libbuild-helper-maven-plugin-java,
                libgeronimo-jta-1.1-spec-java,
-               libgnumail-java,
+               libmail-java,
+               libjetty-java,
                libjstl1.1-java,
                libmaven-bundle-plugin-java,
                libmaven-javadoc-plugin-java,
@@ -43,7 +44,7 @@
 Section: doc
 Architecture: all
 Depends: ${misc:Depends}
-Recommends: default-jdk-doc, libgnumail-java-doc, libservlet3.0-java-doc
+Recommends: default-jdk-doc, libmail-java-doc, libservlet3.0-java-doc
 Suggests: libjetty8-java
 Description: Javadoc for the Jetty API
  Jetty is an Open Source HTTP Servlet Server written in 100% Java.
@@ -56,7 +57,7 @@
 Package: libjetty8-extra-java
 Architecture: all
 Depends: libasm3-java,
-         libgnumail-java,
+         libmail-java,
          libjakarta-taglibs-standard-java,
          libjetty8-java (>= ${source:Version}),
          libjstl1.1-java,
