## jetty8 8.1.18

=== debian/changelog ===
jetty8 (8.1.18-3) unstable; urgency=medium

  * No longer install the default page on updates in /var/lib/jetty8/webapps/root
    if another root application is installed (Closes: #767612)
  * Support the JVMs installed by the older versions of java-package (<< 0.52)
    and the oracle-java{n > 7}-installer packages from webupd8.
  * Updated the error message displayed when the JAVA_HOME variable defined
    in /etc/default/jetty8 doesn't point to a JRE.
  * Removed the unused commons-daemon.jar and tools.jar from the start classpath
  * Invoke Jetty with 'java -jar start.jar' instead of
    'java -cp start.jar org.eclipse.jetty.start.Main'
  * Removed the JDK_DIRS and JSP_COMPILER variables from /etc/default/jetty8
  * Added a VERSION variable in jetty8.init and replaced 'jetty8'
    with 'jetty$VERSION'
  * Added the version in the description of the service
  * Fixed the formatting of the message displayed when starting and stopping
    the service

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 04 Dec 2015 10:06:41 +0100

jetty8 (8.1.18-2) unstable; urgency=medium

  * Changed the default value of NO_START to 0 in /etc/default/jetty8
    and let Jetty start automatically on installing (LP #1194755)
  * Fixed a build failure with maven-debian-helper 2.0
  * Added the missing build dependency on asm
  * Replaced the dependency on libasm3-java with libasm4-java and fixed
    the compatibility with servlets containing Java 8 lambda expressions.
  * Build with the DH sequencer instead of CDBS
  * Ignore the modules with a --ignore parameter in debian/libjetty8-java.poms
    instead of a patch

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 25 Nov 2015 19:01:06 +0100

jetty8 (8.1.18-1) unstable; urgency=medium

  * New upstream release
    - Refreshed the patches

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 08 Oct 2015 21:49:05 +0200
