=== debian/control ===
--- 
+++ 
@@ -4,13 +4,14 @@
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Jakub Adam <jakub.adam@ktknet.cz>, Emmanuel Bourg <ebourg@apache.org>
 Build-Depends: ant-optional,
-               cdbs (>> 0.4.5.3),
                debhelper (>= 9),
                default-jdk,
                default-jdk-doc,
+               dh-exec,
                glassfish-jmac-api (>= 1:2.1.1-b31g-2),
                javahelper,
                junit,
+               libasm4-java,
                libbuild-helper-maven-plugin-java,
                libgeronimo-jta-1.1-spec-java,
                libmail-java,
@@ -25,7 +26,7 @@
                maven-repo-helper
 Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/pkg-java/jetty8.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-java/jetty8.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/jetty8.git
 Homepage: http://www.eclipse.org/jetty/
 
 Package: libjetty8-java
@@ -56,7 +57,7 @@
 
 Package: libjetty8-extra-java
 Architecture: all
-Depends: libasm3-java,
+Depends: libasm4-java,
          libmail-java,
          libjakarta-taglibs-standard-java,
          libjetty8-java (>= ${source:Version}),
