## jetty8 8.1.19

=== debian/changelog ===
jetty8 (8.1.19-1) unstable; urgency=medium

  * New upstream release
    - New build dependency on libmaven-shade-plugin-java
  * Standards-Version updated to 3.9.7 (no changes)

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 10 Feb 2016 18:45:18 +0100
