=== debian/control ===
--- 
+++ 
@@ -19,12 +19,13 @@
                libjstl1.1-java,
                libmaven-bundle-plugin-java,
                libmaven-javadoc-plugin-java,
+               libmaven-shade-plugin-java,
                libmockito-java,
                libservlet3.0-java (>= 7.0.40-2),
                libtomcat7-java (>= 7.0.56-1~),
                maven-debian-helper,
                maven-repo-helper
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Vcs-Git: git://anonscm.debian.org/pkg-java/jetty8.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/jetty8.git
 Homepage: http://www.eclipse.org/jetty/
