=== debian/watch ===
version=3
http://git.eclipse.org/c/jetty/org.eclipse.jetty.project.git/refs/ .*jetty-(8\.[\d\.]+).v.*.tar.gz
