## jetty8 8.2.0

=== debian/changelog ===
jetty8 (8.2.0-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 25 Oct 2016 20:19:19 +0200

jetty8 (8.2.0-2) unstable; urgency=medium

  * Team upload.
  * Removed the Require-Capability field from the OSGi metadata to avoid
    a build failure with Eclipse 3.8

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 19 Oct 2016 17:47:23 +0200

jetty8 (8.2.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    * Require Java 7 or higher
  * Fixed the Maven rule for ASM
  * debian/watch: Track the release tags on GitHub

 -- Emmanuel Bourg <ebourg@apache.org>  Sun, 09 Oct 2016 15:41:36 +0200

jetty8 (8.1.19-3) unstable; urgency=medium

  * Team upload.
  * Fixed the symlinks to ASM (Closes: #826264)

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 03 Jun 2016 21:58:42 +0200

jetty8 (8.1.19-2) unstable; urgency=medium

  * Team upload.
  * Depend on libasm-java (>= 5.0) instead of libasm4-java
  * Removed the dependency on libjetty-java and dropped support
    for Jetty 6 continuations
  * Standards-Version updated to 3.9.8 (no changes)
  * Use a secure Vcs-Git URL

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 17 May 2016 11:21:36 +0200
