=== debian/control ===
--- 
+++ 
@@ -11,11 +11,10 @@
                glassfish-jmac-api (>= 1:2.1.1-b31g-2),
                javahelper,
                junit,
-               libasm4-java,
+               libasm-java (>= 5.0),
                libbuild-helper-maven-plugin-java,
                libgeronimo-jta-1.1-spec-java,
                libmail-java,
-               libjetty-java,
                libjstl1.1-java,
                libmaven-bundle-plugin-java,
                libmaven-javadoc-plugin-java,
@@ -25,8 +24,8 @@
                libtomcat7-java (>= 7.0.56-1~),
                maven-debian-helper,
                maven-repo-helper
-Standards-Version: 3.9.7
-Vcs-Git: git://anonscm.debian.org/pkg-java/jetty8.git
+Standards-Version: 3.9.8
+Vcs-Git: https://anonscm.debian.org/git/pkg-java/jetty8.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/jetty8.git
 Homepage: http://www.eclipse.org/jetty/
 
@@ -58,7 +57,7 @@
 
 Package: libjetty8-extra-java
 Architecture: all
-Depends: libasm4-java,
+Depends: libasm-java (>= 5.0),
          libmail-java,
          libjakarta-taglibs-standard-java,
          libjetty8-java (>= ${source:Version}),
@@ -80,7 +79,7 @@
 Architecture: all
 Depends: adduser,
          apache2-utils,
-         default-jre-headless | java6-runtime-headless,
+         default-jre-headless | java7-runtime-headless,
          libjetty8-java (>= ${source:Version}),
          libjetty8-extra-java (>= ${source:Version}),
          ${misc:Depends}
