=== debian/watch ===
version=4
opts="mode=git, pgpmode=none" \
https://github.com/eclipse/jetty.project refs/tags/jetty-(8\.[\d\.]+).v.*
